Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1563 - sound alias (/etc/conf.modules) conflicts with sound module
Summary: sound alias (/etc/conf.modules) conflicts with sound module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-17 15:18 UTC by jaap
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-19 18:59:06 UTC


Attachments (Terms of Use)

Description jaap 1999-03-17 15:18:51 UTC
Because of the sound alias in /etc/conf.modules it is
impossible to give options to the sound.o module (like
dmabuf=1). The initscripts startup sound by looking for this
alias (thus changing alias means changing rc.sysinit)

Comment 1 Bill Nottingham 1999-03-17 21:53:59 UTC
Adding the following to /etc/conf.modules:
pre-install sound insmod sound dmabuf=1

should do the trick.

Comment 2 Preston Brown 1999-03-18 21:07:59 UTC
Bill, if this bug is a no-op, close it.

Comment 3 Bill Nottingham 1999-03-19 18:59:59 UTC
sndconfig-0.31-3 will add this line to /etc/conf.modules
appropriately.


Note You need to log in before you can comment on or make changes to this bug.